/**
 * @function _bud
 */
'use strict'

const path = require('path')
const pkg = require('../package.json')

/** @lends _bud */
function _bud (tmpl, src, dest, params) {
  let basename = path.basename(src, path.extname(src))
  let filename = path.resolve(dest, basename + '_test.js')
  return {
    tmpl,
    force: false,
    mode: '644',
    mkdirp: false,
    path: filename,
    data: {
      params,
      pkg,
      name: basename,
      relative: _stripExtname(path.relative(dest, src)),
      file: path.basename(filename),
      generator: 'coz',
      today: new Date().toLocaleDateString()
    }
  }
}

function _stripExtname (filename) {
  return path.join(
    path.dirname(filename),
    path.basename(filename, path.extname(filename))
  )
}

module.exports = _bud
