/**
 * @function _tmpl
 * @private
 */

'use strict'

const fs = require('fs')
const stringcase = require('stringcase')
const types = require('./types')

/** @lends _tmpl */
function _tmpl (...typeNames) {
  for (let typeName of typeNames) {
    let filename = types[ stringcase.camelcase(typeName).trim() ]
    if (filename) {
      return fs.readFileSync(`${__dirname}/../${filename}`).toString()
    }
  }
  throw new Error(`Type not found with type: ${typeNames.join(',')}`)
}

module.exports = _tmpl
