/**
 * apeman bud for test files.
 * @memberof module:apeman-bud-test/lib
 * @function setup
 * @param {object} params - Template params.
 * @returns {object} - Coz bud configuration.
 */

'use strict'

const assert = require('assert')
const path = require('path')
const expandglob = require('expandglob')
const arrayfilter = require('arrayfilter')
const _tmpl = require('./_tmpl')
const _bud = require('./_bud')
const _isModule = require('./_is_module')

/** @lends setup */
function setup (params = {}) {
  let src = params.src
  let dest = params.dest || process.cwd()

  assert(params.type, 'params.type is required.')
  assert(params.src, 'params.src is required.')

  let tmpl = _tmpl(path.basename(src, path.extname(src)), params.type)
  return expandglob.sync(src)
    .sort((a, b) => a.length - b.length)
    .filter(arrayfilter.patternReject(/^[\._\-]/))
    .filter(arrayfilter.patternReject(/index\.js$/))
    .filter(_isModule)
    .map((src) => {
      return _bud(tmpl, src, dest, params)
    })
}

module.exports = setup
