/**
 * Test case for setup.
 * Runs with mocha.
 */
'use strict'

const setup = require('../lib/setup.js')
const assert = require('assert')
const co = require('co')
const coz = require('coz')

describe('setup', () => {
  it('Render routes test', () => co(function * () {
    let buds = setup({
      type: 'route',
      src: __filename,
      dest: `${__dirname}/../tmp/testing-route/`
    })
    assert.ok(buds)
    for (let bud of buds) {
      assert.ok(bud.tmpl)
      bud.mkdirp = true
      bud.force = true
      yield coz.render(bud)
    }
  }))
})

/* global describe, it */
